Skip to content

Try “workflows”, “templates”, “SOQL” or “create a record”.

Workflows

Automations and their runs.

List workflows (automations)

GET/workflows
Scope workflows:viewRead-only

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/workflows" \  -H "Authorization: Bearer $KLERC_TOKEN"

Create a workflow

POST/workflows
Scope workflows:manageWrites data

Request body

FieldType
namerequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/workflows" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"name":"…"}'

Get a workflow

GET/workflows/{id}
Scope workflows:viewRead-only

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/workflows/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Update a workflow

PATCH/workflows/{id}
Scope workflows:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/workflows/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Delete a workflow

DELETE/workflows/{id}
Scope workflows:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/workflows/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

List workflow runs

GET/workflows/runs
Scope workflows:viewRead-only

Query parameters

NameType
limitnumber
cursorstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/workflows/runs?limit=25" \  -H "Authorization: Bearer $KLERC_TOKEN"

Test-run a workflow

POST/workflows/{id}/test
Scope workflows:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/workflows/{id}/test" \  -H "Authorization: Bearer $KLERC_TOKEN"